> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee Check

> Update a pending employee check - approve it, change the check date, or update the disbursement method.

Only checks with a `status` of `pending` can be updated. Once a check enters processing, it can no longer be modified via this endpoint.


## OpenAPI

````yaml openapi/employee-checks.json patch /employeeCheck
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employeeCheck:
    patch:
      summary: Update Employee Check
      description: Update a pending employee check.
      operationId: update-employee-check
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - employeeCheckID
              properties:
                companyID:
                  type: string
                  description: Company ID of the employer
                employeeCheckID:
                  type: string
                  description: ID of Employee Check
                reportingPeriodID:
                  type: string
                  description: Reporting Period ID of Employee Check
                check_date:
                  type: string
                  description: Date of Employee Check
                  format: date
                approval_required:
                  type: boolean
                  description: Whether manual approval is required for this Employee Check.
                approved:
                  type: boolean
                  description: >-
                    Set this field to `true` in order to approve this Employee
                    Check
                metadata:
                  type: object
                  description: Set the metadata object of this Employee Check
                  properties: {}
                disbursement:
                  type: object
                  description: >-
                    Set the disbursement method of check - Zeal supports Direct
                    Deposit, Download Check, Physical Check, Prepaid, and
                    Paycard (Early Access) disbursement methods
                  properties:
                    method:
                      type: string
                      description: >-
                        The method of disbursement. There are 6 options:
                        `direct_deposit` (Zeal will make a direct deposit to the
                        contractor's bank account using Next Day ACH),
                        `direct_deposit_same_day` (Zeal will make a direct
                        deposit to the contractor's bank account using Same Day
                        ACH), `physical_check` (Zeal will send a physical check
                        to the employee's home address on file), `prepaid` (Zeal
                        will *not* disburse the net pay), `paycard` (Zeal will
                        instantly transfer funds to the existing paycard), and
                        `instant_pay` (Zeal will send funds to the existing
                        worker's Instant Pay wallet)
                      default: direct_deposit
                      enum:
                        - direct_deposit
                        - download_check
                        - physical_check
                        - prepaid
                        - paycard
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      employeeCheckID: '9827465739'
                      employerCheckID: null
                      companyID: 1b5n28nrideucd24
                      employeeID: '1234567890'
                      status: pending
                      is_salary: false
                      first_name: erlich
                      middle_initial: null
                      last_name: bachman
                      reportingPeriodID: '0982349584387523234'
                      check_date: '2020-01-07'
                      approval_required: true
                      approved: false
                      metadata:
                        checkCorrelationID: '1'
                      disbursement:
                        method: direct_deposit
                      disbursement_status: pending
                      gross_pay: 40
                      net_pay: null
                      taxes: null
                      total_employer_taxes: null
                      total_employee_taxes: null
                      totals:
                        gross_earnings: 0
                        gross_pay: 40
                        net_pay: 0
                        employer_taxes: 0
                        employee_taxes: 0
                        employee_deductions: 0
                        employee_garnishments: 0
                        employer_deductions: 0
                        company_debit: 0
                        company_cash_requirement: 0
                      shifts:
                        - employeeID: '1234567890'
                          shiftID: '123456789'
                          first_name: erlich
                          last_name: bachman
                          metadata: {}
                          time: '2019-12-12T10:00:00'
                          hourly:
                            hours: 2
                            wage: 20
                      currency: USD
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      employeeCheckID:
                        type: string
                        example: '9827465739'
                      employerCheckID: {}
                      companyID:
                        type: string
                        example: 1b5n28nrideucd24
                      employeeID:
                        type: string
                        example: '1234567890'
                      status:
                        type: string
                        example: pending
                      is_salary:
                        type: boolean
                        example: false
                        default: true
                      first_name:
                        type: string
                        example: erlich
                      middle_initial: {}
                      last_name:
                        type: string
                        example: bachman
                      reportingPeriodID:
                        type: string
                        example: '0982349584387523234'
                      check_date:
                        type: string
                        example: '2020-01-07'
                      approval_required:
                        type: boolean
                        example: true
                        default: true
                      approved:
                        type: boolean
                        example: false
                        default: true
                      metadata:
                        type: object
                        properties:
                          checkCorrelationID:
                            type: string
                            example: '1'
                      currency:
                        type: string
                        description: >-
                          Currency of the employee check. `USD` for US payroll
                          or `CAD` for Canadian payroll. **NOTE: `CAD` is only
                          applicable for Canadian Payroll (Early Access)**
                        enum:
                          - USD
                          - CAD
                      disbursement:
                        type: object
                        properties:
                          method:
                            type: string
                            example: direct_deposit
                      disbursement_status:
                        type: string
                        example: pending
                      gross_pay:
                        type: integer
                        example: 40
                        default: 0
                      net_pay: {}
                      taxes: {}
                      total_employer_taxes: {}
                      total_employee_taxes: {}
                      totals:
                        type: object
                        properties:
                          gross_earnings:
                            type: integer
                            example: 0
                            default: 0
                          gross_pay:
                            type: integer
                            example: 40
                            default: 0
                          net_pay:
                            type: integer
                            example: 0
                            default: 0
                          employer_taxes:
                            type: integer
                            example: 0
                            default: 0
                          employee_taxes:
                            type: integer
                            example: 0
                            default: 0
                          employee_deductions:
                            type: integer
                            example: 0
                            default: 0
                          employee_garnishments:
                            type: integer
                            example: 0
                            default: 0
                          employer_deductions:
                            type: integer
                            example: 0
                            default: 0
                          company_debit:
                            type: integer
                            example: 0
                            default: 0
                          company_cash_requirement:
                            type: integer
                            example: 0
                            default: 0
                      shifts:
                        type: array
                        items:
                          type: object
                          properties:
                            employeeID:
                              type: string
                              example: '1234567890'
                            shiftID:
                              type: string
                              example: '123456789'
                            first_name:
                              type: string
                              example: erlich
                            last_name:
                              type: string
                              example: bachman
                            metadata:
                              type: object
                              properties: {}
                            time:
                              type: string
                              example: '2019-12-12T10:00:00'
                            updatedAt:
                              type: string
                              format: date-time
                              example: '2024-01-21T21:29:42Z'
                            hourly:
                              type: object
                              properties:
                                hours:
                                  type: integer
                                  example: 2
                                  default: 0
                                wage:
                                  type: integer
                                  example: 20
                                  default: 0
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No employeeCheckID found in the query of request
                        code: 16
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No employeeCheckID found in the query of request
                        code:
                          type: integer
                          example: 16
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.